NotFound (Java SE 9 & JDK 9 )
Keywords: org.omg.CosNaming.NamingContextPackage.NotFound class

Module java.corba
Package org.omg.CosNaming.NamingContextPackage

## Class NotFound

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CosNaming.NamingContextPackage.NotFound

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class NotFound
      extends UserException

  org/omg/CosNaming/NamingContextPackage/NotFound.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+12/corba/src/java.corba/share/classes/org/omg/CosNaming/nameservice.idl Sunday, May 16, 2021 7:59:34 PM CEST

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `NameComponent[]` | `rest_of_name` |
    `NotFoundReason` | `why` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotFound​()` |
    `NotFound​(String $reason, NotFoundReason _why, NameComponent[] _rest_of_name)` |
    `NotFound​(NotFoundReason _why, NameComponent[] _rest_of_name)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Field Detail

    - #### why

          public NotFoundReason why

    - #### rest_of_name

          public NameComponent[] rest_of_name

  - ### Constructor Detail

    - #### NotFound

          public NotFound​()

    - #### NotFound

          public NotFound​(NotFoundReason _why,
                          NameComponent[] _rest_of_name)

    - #### NotFound

          public NotFound​(String $reason,
                          NotFoundReason _why,
                          NameComponent[] _rest_of_name)